import 'package:firebase_database/firebase_database.dart';
import 'walker.dart';

class WalkerDao {
  final DatabaseReference _walkersRef =
      FirebaseDatabase.instance.ref().child('walkers');

  // updates our walkers that matches dog owner
  void saveWalker(Walker walker) {
    _walkersRef.push().set(walker.toJson());
  }

  Query getWalkerQuery() {
    return _walkersRef;
  }
}